System.register([], function (_export, _context) {
  "use strict";

  var __SystemJSRewritingHack, workspaces, workspaceURLs;
  // const workspaces = new Map();
  // const workspaceURLs = new Map();

  function getCode(id) {
    return workspaces.get(id);
  }
  function setCode(id, src) {
    return workspaces.set(id, src);
  }
  function setURL(id, url) {
    return workspaceURLs.set(id, url);
  }
  function getURL(id) {
    return workspaceURLs.get(id);
  }
  _export({
    getCode: getCode,
    setCode: setCode,
    setURL: setURL,
    getURL: getURL
  });
  return {
    setters: [],
    execute: function () {
      __SystemJSRewritingHack = {};
      _recorder_._https__lively_kernel_org_lively4_lively4_ansgar_src_client_workspaces_js = _recorder_._https__lively_kernel_org_lively4_lively4_ansgar_src_client_workspaces_js || {};
      Object.defineProperty(_recorder_._https__lively_kernel_org_lively4_lively4_ansgar_src_client_workspaces_js, "getURL", {
        get() {
          return getURL;
        },
        set(thisIsVererySecretVariableName) {
          _export("getURL", getURL = thisIsVererySecretVariableName);
          return true;
        },
        enumerable: true,
        configurable: true
      });
      Object.defineProperty(_recorder_._https__lively_kernel_org_lively4_lively4_ansgar_src_client_workspaces_js, "setURL", {
        get() {
          return setURL;
        },
        set(thisIsVererySecretVariableName) {
          _export("setURL", setURL = thisIsVererySecretVariableName);
          return true;
        },
        enumerable: true,
        configurable: true
      });
      Object.defineProperty(_recorder_._https__lively_kernel_org_lively4_lively4_ansgar_src_client_workspaces_js, "setCode", {
        get() {
          return setCode;
        },
        set(thisIsVererySecretVariableName) {
          _export("setCode", setCode = thisIsVererySecretVariableName);
          return true;
        },
        enumerable: true,
        configurable: true
      });
      Object.defineProperty(_recorder_._https__lively_kernel_org_lively4_lively4_ansgar_src_client_workspaces_js, "getCode", {
        get() {
          return getCode;
        },
        set(thisIsVererySecretVariableName) {
          _export("getCode", getCode = thisIsVererySecretVariableName);
          return true;
        },
        enumerable: true,
        configurable: true
      });
      if (!self.lively4workspaces) {
        self.lively4workspaces = new Map();
      }
      workspaces = self.lively4workspaces;
      Object.defineProperty(_recorder_._https__lively_kernel_org_lively4_lively4_ansgar_src_client_workspaces_js, "workspaces", {
        get() {
          return workspaces;
        },
        set(thisIsVererySecretVariableName) {
          workspaces = thisIsVererySecretVariableName;
          return true;
        },
        enumerable: true,
        configurable: true
      });
      if (!self.lively4workspaceURLs) {
        self.lively4workspaceURLs = new Map();
      }
      workspaceURLs = self.lively4workspaceURLs;
      Object.defineProperty(_recorder_._https__lively_kernel_org_lively4_lively4_ansgar_src_client_workspaces_js, "workspaceURLs", {
        get() {
          return workspaceURLs;
        },
        set(thisIsVererySecretVariableName) {
          workspaceURLs = thisIsVererySecretVariableName;
          return true;
        },
        enumerable: true,
        configurable: true
      });
    }
  };
});